
TYPO3.Flow - Bug # 35016

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Configuration
Created: 2012-03-19 Assigned To: Bastian Waidelich
Updated: 2012-03-23 Due date:
PHP Version:
Has patch: No
Complexity: no-brainer
Affected Flow version: Git master
Subject: YamlSource creates invalid YAML files
Description

\TYPO3\FLOW3\Tests\Unit\Configuration\Source\YamlSource::save() currently separates the header from the configuration with 
PHP_EOL but it should be chr(10) according to the guidelines.
Apart from that, generated YAML files are not indented correctly, making it difficult to read them

Associated revisions
Revision 36e46e74 - 2012-03-19 18:33 - Bastian Waidelich

[BUGFIX] YamlSource creates invalid YAML files

YamlSource::save() currently creates Windows style EOLs
and indentation is lost in YAML files.

Change-Id: Ibc9da029e69ec52aab2dd9955dbde3afbbd6f837
Fixes: #35016
Releases: 1.1

History
#1 - 2012-03-19 18:33 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9748

#2 - 2012-03-23 12:49 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
